#include "robot.h"

//-----------------------------------------------------------------------------
Robot::~Robot()
{
	while(!modules.empty())
	{
		moduleMap::iterator iter = modules.begin();
		delete iter->second;
		modules.erase(iter);
	}
}

//-----------------------------------------------------------------------------
bool Robot::AddModule(IO_Module* newModule)
{
	moduleMap::iterator itr = modules.find(newModule->GetId());
	if(itr != modules.end())
		return false;

	modules[newModule->GetId()] = newModule;
	return true;
}

//-----------------------------------------------------------------------------
bool Robot::RemoveModule(IO_Module* oldModule)
{
	return RemoveModule(oldModule->GetId());
}

//-----------------------------------------------------------------------------
void Robot::Update()
{
	//insert code here
}

//--- EOF ---